Sage 50 Accounts v25 system requirements

These are the basic system requirements for installing and operating Sage 50 Accounts version 25.

If you're using an earlier version or require detailed information about checking your computer specification. Read more >

Minimum hardware

Computer IBM compatible computer.
Processor speed 2Ghz processor or higher.
RAM (memory) 2 gigabytes (GB) or 4GB RAM if running a 64-bit operating system.
Free disk space 5GB of free disk space.
Screen resolution Between 1024 x 768 and 1920 x 1080 - this applies to 4k and hi-res monitors.
DPI setting Maximum of 125%.
Microsoft .NET Framework 4.6 or higher. This is included with the Sage 50 Accounts installer and is installed along with the software if .NET 4.6 or higher isn't already installed.
Network users only 1Gbps network speed (100 Mbps minimum).

Internet connection

Internet connection A broadband connection is essential to keep your Sage software up to date.
Internet browser Internet Explorer version 11 or above. To check, open Internet Explorer and on the menu bar click Help then About Internet Explorer.
Internet speed If you're using Sage Drive we suggest a minimum download speed of 4Mbps and upload speed of 2Mbps.

Supported operating systems

Windows operating system All 32-bit or 64-bit variants of Microsoft Windows operating systems:
  • Windows 10 (except Windows 10S)
  • Windows 8.1
  • Windows 7
  • Windows Server 2016 (except  Windows Server 2016 Essentials)
  • Windows Server 2012 (except  Windows Server 2012 Essentials)
  • Windows Server 2012 R2 (except Windows Server 2012 R2 Essentials)
  • Windows Server 2008 R2 (not supported on Small Business Server/SBS 2011)
  • Windows Server 2008 (not supported on Small Business Server/SBS 2008)

You must also ensure all the latest Microsoft service packs and updates are installed.

Microsoft Office integration

Microsoft Office Sage software integrates with Microsoft Office in several ways, such as emailing documents, sending reports and grid data to Excel and Excel Integrated Reporting. To ensure these features work correctly, you must use a compatible version of Microsoft Office.
  • Microsoft Office 365
  • Office 2016 and 2013 (32-bit edition)
  • Office 2010* (32-bit edition).

    * Not compatible with Office 2010 32-bit starter edition.